#
# spec file for package python-sorl-thumbnail
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-sorl-thumbnail
Version:        11.12
Release:        2.3
Url:            https://github.com/sorl/sorl-thumbnail
Summary:        Thumbnails for Django
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         sorl-thumbnail-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       ImageMagick
Requires:       python-django
Requires:       python-imaging
Requires:       python-pgmagick
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
Thumbnails for Django. Totally rewritten.

Features at a glance
--------------------
- Storage support
- Pluggable Engine support (PIL, pgmagick)
- Pluggable Key Value Store support (redis, cached db)
- Pluggable Backend support
- Admin integration with possibility to delete
- Dummy generation
- Flexible, simple syntax, generates no html
- ImageField for model that deletes thumbnails
- CSS style cropping options
- Margin calculation for vertical positioning

%prep
%setup -q -n sorl-thumbnail-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/sorl*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jan  3 2012 alexandre@exatati.com.br
- Update to 11.12:
  - Sorry, no changelog atm.
- Remove CFLAGS and %%clean section from spec file;
- License in SPDX format.
* Wed Sep 14 2011 alexandre@exatati.com.br
- Update to 11.09:
  - Sorry, no changelog.
* Fri Apr 29 2011 alexandre@exatati.com.br
- Update to 11.05.1:
  - Sorry, no changelog.
* Thu Apr 28 2011 alexandre@exatati.com.br
- Update to 11.05:
  - Sorry, no changelog.
* Wed Apr 20 2011 alexandre@exatati.com.br
- Update to 11.04:
- Regenerate spec file with py2pack.
* Sat Jan 29 2011 alexandre@exatati.com.br
- Update to 11.01;
- Spec file cleaned with spec-cleaner;
- Bzip2 source file.
* Sun Jun 20 2010 nix@opensuse.org
- Make wv a Recommends and change from wv2 to libwv2
* Mon Oct  5 2009 alexandre@exatati.com.br
- Update to 3.2.5;
- Building as noarch for openSUSE >= 11.2.
* Fri Sep 18 2009 alexandre@exatati.com.br
- Update to 3.2.4.
* Tue Sep 15 2009 alexandre@exatati.com.br
- Update to 3.2.3.
* Fri Aug 28 2009 alexandre@exatati.com.br
- Update to 3.2.2.
* Tue Aug 18 2009 alexandre@exatati.com.br
- Initial package (3.2) for openSUSE.
